/* Text Elements */

h1 {
  color: #c41c21;
  font-size: 30px;
  font-family: Geneva, Tahoma, Verdana, sans-serif;
}

h2 {
  color: #2d5a85;
  font-size: 24px;
  font-family: Geneva, Tahoma, Verdana, sans-serif;
}

h3 {
  font-size: 20px;
  font-family: Geneva, Tahoma, Verdana, sans-serif;
}

h3.question {
  margin-bottom: 0;
  margin-left: 1.5rem;
}

h3.message-name {
  margin-bottom: 0;
  color: #2d5a85;
  font-size: 18px;
}

h4.downloads-heading {
  font-weight: 700;
  font-size: 16px;
}

h4.tags-heading {
  font-weight: 700;
  font-size: 16px;
}

p.paragraph.location {
  margin-bottom: 0;
  padding-right: 1rem;
  padding-left: 1rem;
  font-family: Garamond, Baskerville, 'Baskerville Old Face', 'Hoefler Text', 'Times New Roman', serif;
}

p.paragraph {
  font-size: 16px;
  line-height: 1.2;
}

p.paragraph a.p-link {
  color: #c41c21;
}

p.paragraph span.underline {
  text-decoration: underline;
}

p.paragraph.answer {
  margin-bottom: 1rem;
  margin-left: 2.5rem;
}

p.paragraph.image-caption {
  text-align: center;
  font-style: italic;
  font-size: 12px;
}

p.paragraph.message-date {
  margin-bottom: .5rem;
  font-style: italic;
  font-size: 12px;
}

p.paragraph.message-info {
  margin-bottom: .25rem;
  font-size: 12px;
}

span.text-element.sort-by {
  margin-right: .25rem;
  text-align: right;
  font-size: 12px;
}

span.text-element.page-number {
  text-align: center;
}

a.link-text {
  display: block;
  color: #c41c21;
  font-size: 16px;
}

a.link-text.logo {
  margin-bottom: .25rem;
  padding-right: 1rem;
  padding-bottom: .5rem;
  padding-left: 1rem;
  border-bottom: .0625rem solid rgba(0, 0, 0, .4);
  color: #000;
  text-shadow: rgba(255, 255, 255, .4) 1px 1px 0, rgba(0, 0, 0, .4) 3px 3px 5px;
  font-size: 20px;
  font-family: Garamond, Baskerville, 'Baskerville Old Face', 'Hoefler Text', 'Times New Roman', serif;
  line-height: 1.2;
}

a.link-text span.red {
  color: #c41c21;
}

a.link-text span.heading-cap {
  font-size: 2.125rem;
}

a.link-text.nav-link {
  color: #fff;
  font-size: 16px;
}

a.link-text.copyright {
  margin-top: 3rem;
  color: #fff;
  text-align: center;
  font-size: 12px;
}

a.link-text.previous-text-link {
  text-align: center;
}

a.link-text.next-text-link {
  text-align: center;
}

/* Interaction Elements */

form.form-container.cc-form-search-widget {
  display: -webkit-box;
  display: -webkit-flex;
  display:    -moz-box;
  display: -ms-flexbox;
  display:         flex;
  -ms-flex-align: center;
  margin-bottom: .5rem;

  -webkit-box-align: center;
  -webkit-align-items: center;
     -moz-box-align: center;
          align-items: center;
}

form.form-container.sort-by-form-container {
  display: -webkit-box;
  display: -webkit-flex;
  display:    -moz-box;
  display: -ms-flexbox;
  display:         flex;
  -ms-flex-align: center;
  margin-bottom: .5rem;

  -webkit-box-align: center;
  -webkit-align-items: center;
     -moz-box-align: center;
          align-items: center;
}

form.form-container#form-viewby {
  margin-bottom: 16px;
}

input[type=text].cc-search-field {
  margin-right: .25rem;
  margin-bottom: 0;
  padding-top: 0;
  padding-right: 1.5rem;
  padding-bottom: 0;
  height: 1.5rem;
  font-size: 12px;
}

select.select.sort-by-select {
  margin-right: .25rem;
  margin-bottom: 0;
  padding-top: 0;
  padding-right: 1.5rem;
  padding-bottom: 0;
  height: 28px;
  font-size: 16px;
}

select.select.viewby-options-list {
  margin-bottom: 0;
}

label.label {
  background-color: #2d5a85;
  font-size: 16px;
}

label.label.viewby-label {
  margin-right: 6px;
  margin-left: 0;
  padding-top: 11px;
  padding-bottom: 11px;
  min-width: 145px;
  text-align: left;
}

/* Layout Elements */

.container.grid-parent {
  min-height: 100vh;
}

.container.header {
  min-height: 175px;
  background-image: url('../img/header-clouds-2400.jpg');
  background-attachment: scroll;
  background-position: left top;
  background-clip: border-box;
  background-origin: padding-box;
  background-size: cover;
  background-repeat: no-repeat;

  background-blend-mode: normal;
}

.container.main {
  padding: .5rem 1rem 2rem;
}

.container.navigation {
  display: -webkit-box;
  display: -webkit-flex;
  display:    -moz-box;
  display: -ms-flexbox;
  display:         flex;
  -webkit-flex-direction: column;
      -ms-flex-direction: column;
          flex-direction: column;
  -ms-flex-pack: center;
  -ms-flex-align: center;
  padding: .35rem 1rem;
  background-color: #2d5a85;

  -webkit-box-orient: vertical;
  -webkit-box-direction: normal;
     -moz-box-orient: vertical;
     -moz-box-direction: normal;
  -webkit-align-content: center;
  -ms-flex-line-pack: center;
          align-content: center;
  -webkit-box-pack: center;
  -webkit-justify-content: center;
     -moz-box-pack: center;
          justify-content: center;
  -webkit-box-align: center;
  -webkit-align-items: center;
     -moz-box-align: center;
          align-items: center;
}

.container.footer {
  display: -webkit-box;
  display: -webkit-flex;
  display:    -moz-box;
  display: -ms-flexbox;
  display:         flex;
  -webkit-flex-direction: column;
      -ms-flex-direction: column;
          flex-direction: column;
  -ms-flex-pack: center;
  -ms-flex-align: center;
  padding-top: 1rem;
  padding-bottom: 2rem;
  background-color: #2d5a85;

  -webkit-box-orient: vertical;
  -webkit-box-direction: normal;
     -moz-box-orient: vertical;
     -moz-box-direction: normal;
  -webkit-align-content: center;
  -ms-flex-line-pack: center;
          align-content: center;
  -webkit-box-align: center;
  -webkit-align-items: center;
     -moz-box-align: center;
          align-items: center;
  -webkit-box-pack: center;
  -webkit-justify-content: center;
     -moz-box-pack: center;
          justify-content: center;
}

.container.qa-container {
  margin-bottom: 1.5rem;
}

.container.joe-and-jan-parish-container {
  margin-right: auto;
  margin-left: auto;
  max-width: 300px;
}

.container.footer-links-container {
  display: -webkit-box;
  display: -webkit-flex;
  display:    -moz-box;
  display: -ms-flexbox;
  display:         flex;
  -webkit-flex-direction: column;
      -ms-flex-direction: column;
          flex-direction: column;
  -ms-flex-pack: center;
  -ms-flex-align: center;
  width: 100%;

  -webkit-box-orient: vertical;
  -webkit-box-direction: normal;
     -moz-box-orient: vertical;
     -moz-box-direction: normal;
  -webkit-align-content: center;
  -ms-flex-line-pack: center;
          align-content: center;
  -webkit-box-align: center;
  -webkit-align-items: center;
     -moz-box-align: center;
          align-items: center;
  -webkit-box-pack: center;
  -webkit-justify-content: center;
     -moz-box-pack: center;
          justify-content: center;
}

.container.sermon-container {
  margin-bottom: 1rem;
  border-top: .875rem solid #efad57;
  border-right: .125rem solid #efad57;
  border-bottom: .125rem solid #efad57;
  border-left: .125rem solid #efad57;
  border-radius: 14px;
}

.container.message-container {
  padding: .5rem;
}

.container.download-item-container {
  display: -webkit-box;
  display: -webkit-flex;
  display:    -moz-box;
  display: -ms-flexbox;
  display:         flex;
  -ms-flex-align: center;

  -webkit-box-align: center;
  -webkit-align-items: center;
     -moz-box-align: center;
          align-items: center;
}

.container.pagination-container {
  display: -webkit-box;
  display: -webkit-flex;
  display:    -moz-box;
  display: -ms-flexbox;
  display:         flex;
  -ms-flex-pack: center;
  -ms-flex-align: center;

  -webkit-align-content: center;
  -ms-flex-line-pack: center;
          align-content: center;
  -webkit-box-align: center;
  -webkit-align-items: center;
     -moz-box-align: center;
          align-items: center;
  -webkit-box-pack: center;
  -webkit-justify-content: center;
     -moz-box-pack: center;
          justify-content: center;
}

.container.media-display-container {
  margin-bottom: 20px;
}

.container.search-container {
  display: none;
}

div.responsive-picture.joe-and-jan {
  max-width: 350px;
  border-radius: 10px;
  box-shadow: rgba(0, 0, 0, .4) 2px 2px 5px 0;
}

a.glyph.download-icon {
  margin-right: .35rem;
  font-size: 30px;
  line-height: 1;
}

a.glyph.word-icon {
  color: #00f;
}

a.glyph.pdf-icon {
  color: #f00;
}

a.glyph.excel-icon {
  color: #090;
}

a.glyph.audio-icon {
  color: #efad57;
}

a.glyph.zip-icon {
  color: #3d7ab4;
}

div.responsive-picture.message-picture {
  margin-right: auto;
  margin-left: auto;
  max-width: 400px;
}

div.responsive-video.message-video {
  margin-right: auto;
  margin-left: auto;
  max-width: 600px;
}

button.cc-search-button {
  border-style: none;
}

button.button.button-sort {
  margin-bottom: 0;
  padding: .36em .5em;
  border-radius: 6px;
  background-color: #2d5a85;
  font-size: 12px;
}

button.button.cc-search-button {
  margin-bottom: 0;
  padding: .36rem .5rem;
  border-radius: 6px;
  background-color: #2d5a85;
  font-size: 12px;
}

button.button {
  padding: 8px 12px;
  border-radius: 4px;
  background-color: #2d5a85;
}

label.label-container.viewby-label-container {
  display: -webkit-box;
  display: -webkit-flex;
  display:    -moz-box;
  display: -ms-flexbox;
  display:         flex;
  -webkit-flex-direction: column;
      -ms-flex-direction: column;
          flex-direction: column;
  -ms-flex-align: start;
  margin-right: 8px;
  margin-bottom: 12px;

  -webkit-box-align: start;
  -webkit-align-items: flex-start;
     -moz-box-align: start;
          align-items: flex-start;
  -webkit-box-orient: vertical;
  -webkit-box-direction: normal;
     -moz-box-orient: vertical;
     -moz-box-direction: normal;
}

button#viewby-search {
  background-color: #2d5a85;
}

button.button.results-search-button {
  margin-right: 6px;
  margin-bottom: 0;
  margin-left: 6px;
  padding: 11px 8px;
  min-width: 145px;
}

@supports (display: grid) {
  /* Text Elements */

  h3 a.h3-link {
    color: #2d5a85;
  }

  p.paragraph.tags-list {
    font-style: italic;
  }

  span.text-element.sort-by {
    margin-right: .25rem;
    font-size: 12px;
  }

  span.text-element.page-number {
    margin-right: 0;
    margin-left: 0;
  }

  span.text-element.text-1 {
    margin-right: .25rem;
  }

  a.link-text.previous-text-link {
    margin-right: .5rem;
    line-height: 1.2;
  }

  a.link-text.next-text-link {
    margin-left: .5rem;
    line-height: 1.2;
  }

  /* Interaction Elements */

  form.form-container#form-sort-media {
    display: grid;
    -ms-flex-align: center;
    margin-bottom: 16px;

    -webkit-flex-wrap: wrap;
        -ms-flex-wrap: wrap;
            flex-wrap: wrap;
    -webkit-box-align: center;
    -webkit-align-items: center;
       -moz-box-align: center;
            align-items: center;
    grid-template-areas: 'media-sort-label media-sort-label media-sort-label' 'media-sort-options media-sort-options media-sort-options' '. media-sort-button .';
    grid-template-columns: auto 100px auto;
    grid-template-rows: repeat(3 , auto);
    grid-area: media-view-sort;
  }

  form.form-container.cc-form-search-widget {
    display: none;
    margin-bottom: .5rem;

    grid-area: viewoptions-search;
  }

  form.form-container.sort-by-form-container {
    grid-area: viewoptions-sort;
  }

  form.form-container.page-search-form {
    display: -webkit-box;
    display: -webkit-flex;
    display:    -moz-box;
    display: -ms-flexbox;
    display:         flex;
    -ms-flex-pack: center;
    -ms-flex-align: center;
    min-width: 100px;
    max-width: 200px;
    width: 100%;

    -webkit-box-align: center;
    -webkit-align-items: center;
       -moz-box-align: center;
            align-items: center;
    -webkit-box-pack: center;
    -webkit-justify-content: center;
       -moz-box-pack: center;
            justify-content: center;
  }

  form.form-container.viewby-form-container {
    grid-area: search-form;
  }

  input[type=text].cc-search-field {
    margin-right: .25rem;
    margin-bottom: 0;
    padding-top: 0;
    padding-bottom: 0;
    height: 1.5rem;
    font-size: 12px;
  }

  select.select.page-dropdown {
    margin-right: .25rem;
    margin-bottom: 0;
    padding: 0 1.5rem 0 .5rem;
    max-width: 80px;
    width: 100%;
    height: 1.5rem;
    font-size: 14px;
  }

  /* Layout Elements */

  .container.grid-parent {
    display: grid;

    grid-template-areas: 'header' 'nav' 'main' 'footer';
    grid-template-columns: auto;
    grid-template-rows: 175px repeat(3 , auto);
    grid-row-gap: 1px;
    grid-column-gap: 1px;
  }

  .container.sermon-container {
    display: grid;
    margin-bottom: 1rem;

    grid-template-areas: 'picture' 'summary' 'video' 'downloads' 'links' 'tags';
    grid-template-columns: auto;
    grid-template-rows: repeat(6 , auto);
  }

  .container.video-container {
    grid-area: video;
  }

  .container.picture-container {
    grid-area: picture;
  }

  .container.info-container {
    grid-area: summary;
  }

  .container.downloads-container {
    grid-area: downloads;
  }

  .container.links-container {
    grid-area: links;
  }

  .container.header {
    grid-area: header;
  }

  .container.navigation {
    grid-area: nav;
  }

  .container.main {
    grid-area: main;
  }

  .container.footer {
    grid-area: footer;
  }

  .container.options-container {
    display: grid;
    margin-bottom: 1rem;

    grid-template-areas: 'viewoptions-sort' 'viewoptions-search';
    grid-template-columns: auto;
    grid-template-rows: repeat(2 , auto);
  }

  .container.pagination-container {
    display: -webkit-box;
    display: -webkit-flex;
    display:    -moz-box;
    display: -ms-flexbox;
    display:         flex;
    -ms-flex-pack: justify;
    -ms-flex-align: center;

    -webkit-align-content: center;
    -ms-flex-line-pack: center;
            align-content: center;
    -webkit-box-pack: justify;
    -webkit-justify-content: space-between;
       -moz-box-pack: justify;
            justify-content: space-between;
    -webkit-box-align: center;
    -webkit-align-items: center;
       -moz-box-align: center;
            align-items: center;
  }

  div.responsive-video.message-video {
    max-width: 569px;
  }

  button.button.button-sort {
    margin-bottom: 0;
    padding: .36em .5em;
    border-radius: 6px;
    background-color: #2d5a85;
    font-size: 12px;
  }

  button.button.cc-search-button {
    margin-bottom: 0;
    padding: .36em .5em;
    border-radius: 6px;
    background-color: #2d5a85;
    font-size: 12px;
  }

  a.glyph.previous-icon-link {
    font-size: 20px;
    line-height: 16px;
  }

  a.glyph.next-icon-link {
    font-size: 16px;
  }
}

@media screen and (min-width: 21.875rem) {
  /* Text Elements */

  span.text-element.page-number {
    margin-right: .5rem;
    margin-left: .5rem;
  }

  a.link-text.previous-text-link {
    margin-right: .5rem;
  }

  a.link-text.next-text-link {
    margin-left: .5rem;
  }

  /* Layout Elements */

  .container.footer {
    -webkit-flex-direction: column;
        -ms-flex-direction: column;
            flex-direction: column;
    -ms-flex-pack: distribute;

    -webkit-box-orient: vertical;
    -webkit-box-direction: normal;
       -moz-box-orient: vertical;
       -moz-box-direction: normal;
    -webkit-justify-content: space-around;
            justify-content: space-around;
  }

  .container.footer-links-container {
    -webkit-flex-direction: row;
        -ms-flex-direction: row;
            flex-direction: row;
    -ms-flex-pack: distribute;

    -webkit-box-orient: horizontal;
    -webkit-box-direction: normal;
       -moz-box-orient: horizontal;
       -moz-box-direction: normal;
    -webkit-justify-content: space-around;
            justify-content: space-around;
  }

  .container.joe-and-jan-parish-container {
    max-width: 350px;
  }

  .container.pagination-container {
    margin-bottom: 1rem;
  }

  a.glyph.previous-icon-link {
    font-size: 20px;
  }

  a.glyph.next-icon-link {
    font-size: 20px;
  }

  @supports (display: grid) {
      /* Text Elements */

    span.text-element.page-number {
      margin-right: .5rem;
      margin-left: .5rem;
    }

    /* Interaction Elements */

    form.form-container#form-sort-media {
      grid-template-areas: 'media-sort-label media-sort-label media-sort-label' 'media-sort-options media-sort-options media-sort-button';
      grid-template-rows: repeat(2 , auto);
      grid-template-columns: repeat(2 , auto) 50px;
      grid-row-gap: 3px;
      grid-column-gap: 6px;
    }

    /* Layout Elements */

    .container.grid-parent {
      grid-template-rows: 175px 32px auto 155px;
    }

    .container.pagination-container {
      -ms-flex-pack: center;

      -webkit-box-pack: center;
      -webkit-justify-content: center;
         -moz-box-pack: center;
              justify-content: center;
    }
  }
}

@media screen and (min-width: 27.625rem) {
  /* Layout Elements */

  .container.navigation {
    -webkit-flex-direction: row;
        -ms-flex-direction: row;
            flex-direction: row;
    -ms-flex-pack: distribute;

    -webkit-box-orient: horizontal;
    -webkit-box-direction: normal;
       -moz-box-orient: horizontal;
       -moz-box-direction: normal;
    -webkit-justify-content: space-around;
            justify-content: space-around;
  }
}

@media screen and (min-width: 40rem) {
  /* Interaction Elements */

  form.form-container.viewby-form-container {
    display: -webkit-box;
    display: -webkit-flex;
    display:    -moz-box;
    display: -ms-flexbox;
    display:         flex;
    -ms-flex-align: center;

    -webkit-flex-wrap: wrap;
        -ms-flex-wrap: wrap;
            flex-wrap: wrap;
    -webkit-box-align: center;
    -webkit-align-items: center;
       -moz-box-align: center;
            align-items: center;
  }

  /* Layout Elements */

  .container.joe-and-jan-parish-container {
    float: right;
    margin-right: 0;
    margin-left: 1rem;
    max-width: 300px;
  }

  .container.message-container.picture-container {
    float: right;
    max-width: 400px;
  }

  .container.message-container.video-container {
    float: right;
    min-width: 400px;
    max-width: 560px;
  }

  div.responsive-video.message-video {
    max-width: 560px;
  }

  label.label-container.viewby-label-container {
    width: 48%;
  }

  button.button.results-search-button {
    max-height: 38px;
  }

  @supports (display: grid) {
      /* Interaction Elements */

    form.form-container#form-sort-media {
      margin-bottom: 0;

      grid-template-areas: 'media-sort-label . .' 'media-sort-options media-sort-options media-sort-button';
      grid-template-rows: repeat(2 , auto);
      grid-template-columns: 75px auto 50px;
    }

    select.select.sort-by-select {
      height: 36px;
    }

    /* Layout Elements */

    .container.sermon-container {
      grid-template-areas: 'summary summary summary summary picture' 'downloads downloads downloads video video' 'links links links tags tags';
      grid-template-columns: repeat(3 , auto) 160px minmax(200px, 400px);
      grid-template-rows: repeat(3 , auto);
    }

    .container.message-container.video-container {
      max-width: 400px;
    }

    .container.message-container.tags-container {
      width: 100%;

      grid-area: tags;
    }

    .container.options-container {
      grid-template-areas: 'viewoptions-sort viewoptions-search';
      grid-template-columns: repeat(2 , 1fr);
      grid-template-rows: auto;
    }
  }
}

@media screen and (min-width: 64rem) {
  /* Text Elements */

  p.paragraph.image-caption {
    font-family: Arial, 'Helvetica Neue', Helvetica, sans-serif;
  }

  /* Interaction Elements */

  form.form-container.viewby-form-container {
    -ms-flex-align: end;

    -webkit-flex-wrap: nowrap;
        -ms-flex-wrap: nowrap;
            flex-wrap: nowrap;
    -webkit-box-align: end;
    -webkit-align-items: flex-end;
       -moz-box-align: end;
            align-items: flex-end;
  }

  /* Layout Elements */

  .container.joe-and-jan-parish-container {
    max-width: 400px;
  }

  div.responsive-picture.joe-and-jan {
    max-width: 500px;
  }

  button.button.results-search-button {
    margin-bottom: 16px;
  }

  @supports (display: grid) {
      /* Text Elements */

    span.text-element.video-caption {
      margin-top: .25rem;
      margin-right: auto;
      margin-left: auto;
      max-width: 560px;
      text-align: center;
      font-style: italic;
      font-size: 13px;
    }

    /* Interaction Elements */

    form.form-container#form-sort-media {
      grid-template-areas: 'media-sort-label media-sort-options media-sort-button';
      grid-template-rows: auto;
    }

    form.form-container.viewby-form-container {
      -ms-flex-align: end;

      -webkit-box-align: end;
      -webkit-align-items: flex-end;
         -moz-box-align: end;
              align-items: flex-end;
    }

    /* Layout Elements */

    .container.sermon-container {
      grid-template-areas: 'summary summary summary summary picture' 'downloads downloads video video video' 'links links video video video' 'tags tags tags tags tags';
      grid-template-rows: repeat(4 , auto);
    }

    .container.downloads-container.message-container {
      overflow: scroll;
    }

    .container.message-container.video-container {
      max-width: 650px;
    }

    .container.options-container {
      grid-template-columns: 2fr 1fr;
    }

    div.responsive-video.message-video {
      max-width: 560px;
    }
  }
}